Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1144278 - (CVE-2014-3651) CVE-2014-3651 JBoss KeyCloak: DoS via QR code generation
CVE-2014-3651 JBoss KeyCloak: DoS via QR code generation
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20141021,reported=2...
: Security
Depends On:
Blocks: 1144822
  Show dependency treegraph
 
Reported: 2014-09-19 02:57 EDT by Arun Babu Neelicattu
Modified: 2015-02-15 16:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that by requesting a large enough image size for a generated QR code in JBoss KeyCloak, a remote attacker could cause uncontrolled resource consumption leading to denial of service for legitimate users.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-30 02:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arun Babu Neelicattu 2014-09-19 02:57:08 EDT
It was discovered that by requesting a large enough image size for a generated QR code, a remote attacker could cause uncontrolled resource consumption leading to denial of service for legitimate users.

Upstream Issue:

https://issues.jboss.org/browse/KEYCLOAK-699
Comment 1 Arun Babu Neelicattu 2014-09-19 03:24:33 EDT
Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security.
Comment 2 Trevor Jay 2014-10-30 02:40:16 EDT
Statement:

This issue does not affect any supported Red Hat products.

Note You need to log in before you can comment on or make changes to this bug.